%define	name	xmms
%define	version	1.2.7
%define	release	1
%define serial  1
%define group	Applications/Multimedia

%define	prefix	%{_prefix}

# ==============================================================================

## Check to see if libGL is installed. Build xmms-mesa if it is.
%define withGL	%(if [ -z "`rpm -q --whatprovides libGL.so.1 2>/dev/null`" ]; then echo 0; else echo 1; fi)

## Check to see if libmikmod is installed. Build xmms-mikmod if it is.
%define withmm	%(if [ -z "`rpm -q --whatprovides libmikmod.so.2 2>/dev/null`" ]; then echo 0; else echo 1; fi)

## Check to see if libvorbisfile is installed.  Build xmms-vorbis if it is.
%define withvorbis %(if [ -z "`rpm -q --whatprovides libvorbisfile.so.0 2>/dev/null`" ]; then echo 0; else echo 1; fi)

## Funky hack to get package names that provide libmikmod and libmikmod-config
## Becuase of the differing package names between redhat, mandrake, etc.
%if %{withmm} == 1
%define mikmod	%(rpm -qf --qf '%{NAME}' `rpm -qla |grep libmikmod-config$` |sed 's/-devel//g')
%define mmdev	%(rpm -qf --qf '%{NAME}' `rpm -qla |grep libmikmod-config$`)
%endif

%define withesd 1

Summary:	XMMS - Multimedia player for the X Window System.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Copyright:	GPL
Group:		%{group}
Vendor:		XMMS Development Team <bugs@xmms.org>
Url:		http://www.xmms.org/
Source:		http://www.xmms.org/files/1.2.x/%{name}-%{version}.tar.bz2
Source1:	http://raphael.dhs.org/xmms/AIX_XMMS_plugin.tar
Patch0:		%{name}-%{version}-aix.patch
Patch1:         AIX_XMMS_plugin.patch
Patch2:		%{name}-%{version}-usleep.patch
Patch3:		%{name}-%{version}-myconfigure.patch
Patch4:		%{name}-%{version}-ldflag.patch
Patch5:		%{name}-%{version}-depcomp.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
# Deinstall xmms from the system before building a new one
BuildConflicts: xmms
Obsoletes:	x11amp, x11amp0.7-1-1
Requires:	gtk+ >= 1.2.2

%description
X MultiMedia System is a sound player written from scratch. Since it 
uses the WinAmp GUI, it can use WinAmp skins. It can play mp3s, mods, s3ms,
and other formats. It now has support for input, output, general, and
visualization plugins.

%package	devel
Summary:	XMMS - Static libraries and header files.
Group:		%{group}
Obsoletes:	x11amp-devel
Requires:	%{name} = %{version}, glib-devel >= 1.2.2, gtk+-devel >= 1.2.2

%description	devel
Header files required for compiling xmms plugins.

%if %{withesd} == 1
%package	esd
Summary:	XMMS - Output plugin for use with the esound package.
Group:		%{group}
Requires:	%{name} = %{version}
Obsoletes:	x11amp-esd
Requires:	esound >= 0.2.8

%description	esd
Output plugin for xmms for use with the esound package
%endif

%package	gnome
Summary:	XMMS - applet for controlling xmms from the GNOME panel.
Group:		%{group}
Requires:	%{name} = %{version}
Obsoletes:	x11amp-gnome
Requires:	gnome-libs >= 1.0.0

%description	gnome
GNOME applet for controlling xmms from the GNOME panel

%if %{withmm} == 1
%package	mikmod
Summary:	XMMS - Input plugin to play MODs.
Group:		%{group}
Obsoletes:	x11amp-mikmod
Requires:	%{name} = %{version}
Requires:       %{mikmod} >= 3.1.6
BuildPrereq:    %{mmdev}

%description	mikmod
Input plugin for XMMS to play MODs (.MOD,.XM,.S3M, etc)
%endif

%if %{withvorbis} == 1
%package	vorbis
Summary:	XMMS - Input plugin to play OGGs
Group:		%{group}
Requires:	%{name} = %{version}
Requires:	libogg >= 1.0beta3
Requires:	libvorbis >= 1.0beta3
BuildPrereq:	libogg-devel
BuildPrereq:	libvorbis-devel

%description	vorbis
Input plugin for XMMS to play Ogg Vorbis files (.ogg).
%endif

%if %{withGL} == 1
%package 	mesa
Summary:	XMMS - Visualization plugins that use the Mesa3d library.
Group:		%{group}
Requires:	%{name} = %{version}

%description	mesa
Visualization plugins that use the Mesa3d library.
%endif

%ifarch ia64
%define DEFCCIA cc
%define DEFCC %{DEFCCIA}
%else
%define DEFCC cc
%endif

%prep
%setup -q
mkdir -p Output/AIX
cd Output/AIX
tar -xvf %{SOURCE1}
patch -p1 -i %{PATCH1} 
cd -
%patch0 -p1 -b .aix
%patch2 -p1 -b .usleep
%patch3 -p1 -b .myconfigure
%patch4 -p1 -b .ldflag
%patch5 -p1 -b .depcomp
# create Makefile.in from our patched Makefile.am
aclocal
automake --gnu --include-deps Output/AIX/Makefile

%build
# Use the default compiler for this platform - gcc otherwise
if [[ -z "$CC" ]]
then
    if test "X`type %{DEFCC} 2>/dev/null`" != 'X'; then
       export CC=%{DEFCC}
    else 
       export CC=gcc
    fi
fi
if test "X$CC" != "Xgcc"
then
       export RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS | sed 's:-fsigned-char::'`
       export CFLAGS="$RPM_OPT_FLAGS"
fi
if test "X$CC" = "Xcc"
then
       export CFLAGS="$RPM_OPT_FLAGS -qcpluscmt -Dinline=_Inline"
fi

export CPPFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-Wl,-brtl";
unset LINGUAS || :;

./configure --prefix=%{prefix}
make

%install
[ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{prefix} sysconfdir=$RPM_BUILD_ROOT/etc install

# Strip binaries. But, not plugins.
/usr/bin/strip $RPM_BUILD_ROOT%{prefix}/bin/*xmms;

# Install icons.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/mini
install -m 644 xmms/xmms_logo.xpm \
	$RPM_BUILD_ROOT%{_datadir}/pixmaps/xmms_logo.xpm
install -m 644 xmms/xmms_mini.xpm \
	$RPM_BUILD_ROOT%{_datadir}/pixmaps/mini/xmms_mini.xpm

# Install wmconfig file
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
install -m 644 xmms/xmms.wmconfig \
	$RPM_BUILD_ROOT/etc/X11/wmconfig/xmms

# Install applnk file
mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Multimedia/                             
install -m 644 xmms/xmms.desktop \
	$RPM_BUILD_ROOT/etc/X11/applnk/Multimedia/ 

# Install gnomexmms files
mkdir -p $RPM_BUILD_ROOT/etc/CORBA/servers/
install -m 644 gnomexmms/gnomexmms.gnorba \
	$RPM_BUILD_ROOT/etc/CORBA/servers/
mkdir -p $RPM_BUILD_ROOT/%{prefix}/share/applets/Multimedia/
install -m 644 gnomexmms/gnomexmms.desktop \
	$RPM_BUILD_ROOT/%{prefix}/share/applets/Multimedia/

# Make links
(
  cd $RPM_BUILD_ROOT
  for dir in bin include lib share
  do
    mkdir -p usr/$dir
    cd usr/$dir
    ln -sf ../..%{_prefix}/$dir/* .
    cd -
  done
)

%clean
[ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
/etc/X11/wmconfig/xmms
/etc/X11/applnk/Multimedia/xmms.desktop
%{prefix}/bin/xmms
%{prefix}/bin/wmxmms
%{prefix}/lib/lib*.so*
#{prefix}/lib/xmms/Input/libcdaudio*
%{prefix}/lib/xmms/Input/libidcin*
%{prefix}/lib/xmms/Input/libmpg123*
%{prefix}/lib/xmms/Input/libtonegen*
%{prefix}/lib/xmms/Input/libwav*
#{prefix}/lib/xmms/Output/libOSS*
%{prefix}/lib/xmms/Output/libdisk_writer*
%{prefix}/lib/xmms/Output/libAIXout*
%{prefix}/lib/xmms/General/*
%{prefix}/lib/xmms/Effect/*
%{prefix}/lib/xmms/Visualization/libbscope*
%{prefix}/lib/xmms/Visualization/libsanalyzer*
%{prefix}/share/locale/*/LC_MESSAGES/xmms.mo
%{_datadir}/xmms/*
%{_datadir}/pixmaps/xmms_logo.xpm
%{_datadir}/pixmaps/mini/xmms_mini.xpm
#links
/usr/bin/xmms
/usr/bin/wmxmms
/usr/lib/lib*.so*
#/usr/lib/xmms/Input/libcdaudio*
/usr/lib/xmms/Input/libidcin*
/usr/lib/xmms/Input/libmpg123*
/usr/lib/xmms/Input/libtonegen*
/usr/lib/xmms/Input/libwav*
#/usr/lib/xmms/Output/libOSS*
/usr/lib/xmms/Output/libdisk_writer*
/usr/lib/xmms/Output/libAIXout*
/usr/lib/xmms/General/*
/usr/lib/xmms/Effect/*
/usr/lib/xmms/Visualization/libbscope*
/usr/lib/xmms/Visualization/libsanalyzer*
/usr/share/xmms/*
/usr/share/pixmaps/xmms_logo.xpm
/usr/share/pixmaps/mini/xmms_mini.xpm

%files devel
%defattr(-, root, root)
%{prefix}/bin/xmms-config
%{prefix}/lib/lib*.so*
%{prefix}/include/*
%{prefix}/share/aclocal/xmms.m4
#links
/usr/bin/xmms-config
/usr/lib/lib*.so*
/usr/include/*
/usr/share/aclocal/xmms.m4

%if %{withesd} == 1
%files esd
%defattr(-, root, root)
%{prefix}/lib/xmms/Output/libesdout*
%endif

%files gnome
%defattr(-, root, root)
%{prefix}/bin/gnomexmms
/etc/CORBA/servers/gnomexmms.gnorba
%{_datadir}/applets/Multimedia/gnomexmms.desktop
#links
/usr/bin/gnomexmms
/usr/share/applets/Multimedia/gnomexmms.desktop

%if %{withmm} == 1
%files mikmod
%defattr(-, root, root)
%{prefix}/lib/xmms/Input/libmikmod*
%endif

%if %{withvorbis} == 1
%files vorbis
%defattr(-, root, root)
%{prefix}/lib/xmms/Input/libvorbis*
%endif

%if %{withGL} == 1
%files mesa
%defattr(-, root, root)
%{prefix}/lib/xmms/Visualization/libogl_spectrum*
%endif

%changelog
* Tue Jul 30 2002 Chris Tysor <cjtysor@us.ibm.com>
- Update to 1.2.7
- Conform to automake 1.5 and 1.6.2

* Tue Oct 09 2001 Kevin Monroe <monroek@us.ibm.com>
- Modify Patch0 to include ORBIT_CFLAGS

* Thu Sep 27 2001 Kevin Monroe <monroek@us.ibm.com>
- [xmms-1.2.5-1]
- Update to version 1.2.5
- Use EsounD plugin
- Add gnomexmms CORBA and desktop files to xmms-gnome

* Thu Sep 20 2001 Marc Stephenson <marc@austin.ibm.com>
- Incorporate sleep fix from Jesper James Jensen

* Thu May 10 2001 Reza Arbab <arbab@austin.ibm.com>
- Fixed glitch in filelists.
- Changed description of xmms-devel.

* Wed May  2 2001 Reza Arbab <arbab@austin.ibm.com>
- Modified for AIX freeware distribution.

* Mon Nov 27 2000 Ryan Weaver <ryanw@infohwy.com>
- [xmms-1.2.4-1]
- Vorbis plugin included.  This plugin depends on the vorbis
- libraries which are not included.
- See http://www.xiph.org/ogg/vorbis/index.html for more information.
- Support for using a regular font in the main window.
- Fixed some serious bugs in the UDP metadata streaming.
- Fixed a bug that could make xmms crash on mpeg files with certain id3v2 tags.
- 3DNow! Support in the MPG123 engine.  
- Use Solaris plugin as default on Solaris.  
- New translations (az, it, tr)

